> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipecat.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Agent

> Permanently delete an agent and its associated resources.



## OpenAPI

````yaml DELETE /agents/{agentName}
openapi: 3.0.0
info:
  title: Pipecat Cloud
  version: 1.0.0
  description: Private API for Pipecat Cloud agent management
servers:
  - url: https://api.pipecat.daily.co/v1
    description: API server
security:
  - PrivateKeyAuth: []
paths:
  /agents/{agentName}:
    delete:
      summary: Delete an agent
      description: Permanently removes an agent and its associated Kubernetes resources.
      operationId: deleteService
      parameters:
        - name: agentName
          in: path
          required: true
          description: Name of the agent to delete
          schema:
            type: string
      responses:
        '200':
          description: Agent successfully deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - OK
                    description: Status of the deletion operation
              example:
                status: OK
        '404':
          description: Agent not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Not found
                code: NOT_FOUND
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Internal server error
                code: INTERNAL_SERVER_ERROR
      security:
        - PrivateKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    PrivateKeyAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication requires a Pipecat Cloud Private API token.


        Generate a Private API key from your Dashboard (Settings > API Keys >
        Private > Create key) and include it as a Bearer token in the
        Authorization header.

````